Skip to content
GET /unified/crm/fields/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

entitystring

The entity to get the fields for

Possible values:
accountcontactleadnoteopportunityprojecttask
10 supported9 required
Attio
required
accountcontactopportunity
Capsule
required
contactaccountopportunity
Close
required
contactaccountopportunity
Microsoft Dynamics 365 Sales
required
contactaccountlead
HubSpot
required
contactaccountopportunitylead
OnePageCRM
required
contactaccountopportunity
Pipedrive
required
contactaccountopportunitylead
Salesflare
required
contactaccountopportunity
Zoho CRM
required
contactleadaccountnoteopportunity
Insightly
supported
taskcontactaccountopportunityprojectlead
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

created_atstring · date-time

The date and time of the field's creation

4 supported
Close
supported
HubSpot
supported
Salesforce
supported
Zoho CRM
supported
descriptionstring

The field's description

7 supported
Attio
supported
Capsule
supported
Close
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
Salesforce
supported
entity_typestring

The entity type the field belongs to

Possible values:
contactaccountopportunity
10 supported
Attio
supported
Capsule
supported
Close
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
OnePageCRM
supported
Pipedrive
supported
Salesflare
supported
Zoho CRM
supported
field_groupsobject[]
References: FieldGroups → id
1 supported
HubSpot
supported
idstring

The field group's unique identifier

namestring

The field group's name

idstring

The field's unique identifier

12 supported
Attio
supported
Capsule
supported
Close
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
OnePageCRM
supported
Pipedrive
supported
Planhat
supported
Salesflare
supported
Salesforce
supported
Zoho CRM
supported
is_editableboolean

Whether the field is editable

6 supported
Attio
supported
Close
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Pipedrive
supported
Salesforce
supported
is_hiddenboolean

Whether the field is hidden

5 supported
Attio
supported
HubSpot
supported
Insightly
supported
Planhat
supported
Zoho CRM
supported
is_requiredboolean

Whether the field is required

9 supported
Attio
supported
Capsule
supported
Microsoft Dynamics 365 Sales
supported
OnePageCRM
supported
Pipedrive
supported
Planhat
supported
Salesflare
supported
Salesforce
supported
Zoho CRM
supported
is_uniqueboolean

Whether the field is unique

3 supported
Attio
supported
HubSpot
supported
Salesforce
supported
is_user_definedboolean

Whether the field is user defined

8 supported
Attio
supported
Close
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
OnePageCRM
supported
Pipedrive
supported
Salesforce
supported
Zoho CRM
supported
labelstring

The field's label

12 supported
Attio
supported
Capsule
supported
Close
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
OnePageCRM
supported
Pipedrive
supported
Planhat
supported
Salesflare
supported
Salesforce
supported
Zoho CRM
supported
namestring

The field's name. This is the name of the property in the entity.

12 supported
Attio
supported
Capsule
supported
Close
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
OnePageCRM
supported
Pipedrive
supported
Planhat
supported
Salesflare
supported
Salesforce
supported
Zoho CRM
supported
optionsobject[]

The field's options

12 supported
Attio
supported
Capsule
supported
Close
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
OnePageCRM
supported
Pipedrive
supported
Planhat
supported
Salesflare
supported
Salesforce
supported
Zoho CRM
supported
descriptionstring

The option's description

is_hiddenboolean

Whether the option is hidden

labelstring

The option's label

valuestring

The option's value

reference_entitystring

The entity type this field references to

Possible values:
contactaccountopportunitylead
remote_dataRecord<string, any>

Raw data returned from the remote API call.

typestring

The field's type

Possible values:
stringtextrich_textnumberbooleandatedatetimetimeenumarrayfileaddress
12 supported
Attio
supported
Capsule
supported
Close
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
OnePageCRM
supported
Pipedrive
supported
Planhat
supported
Salesflare
supported
Salesforce
supported
Zoho CRM
supported
updated_atstring · date-time

The date and time of the field's last update

4 supported
Close
supported
HubSpot
supported
Salesforce
supported
Zoho CRM
supported
urlsobject[]

The field's urls

5 supported
Attio
supported
Close
supported
OnePageCRM
supported
Pipedrive
supported
Zoho CRM
supported
typestring

The field's URL type

urlstring

The field's URL

curl -X GET 'https://api.truto.one/unified/crm/fields/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/crm/fields/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/crm/fields/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'crm',
  'fields',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "crm",
        "fields",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())